Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.io
Class WriteOptions

    java.lang.Object
      gnu.prolog.io.WriteOptions

All Implemented Interfaces:
  Cloneable

    public class WriteOptions

extends Object
implements Cloneable

ISO Prolog write options (Section 7.10.4)

Version:
  0.0.1
Author:
  Constantine Plotnikov

Field Summary
`boolean` | `declaredVariableNames` If true print the name of the variables as they were declared
`boolean` | `ignoreOps` If this option is true each compound term is output in functional notation.
`boolean` | `javaObjects` Include JavaObjects in the output
`boolean` | `javaObjectsToString` Use .toString() in the output
`protected int` | `numberOfVariables` Number of used variables.
`boolean` | `numbervars` display terms of form '$VAR'(N) as ('A'+ N%26)+""+(N/26).
`OperatorSet` | `operatorSet` Current operator set to use in write term.
`boolean` | `quoted` If this option is true, each atom and functor is quoted if it would be necessary for to be input by read_term/3
`protected Map<Term,String>` | `variable2name` Map from variables to names.

Constructor Summary
`WriteOptions(OperatorSet opset)`
`WriteOptions(OperatorSet opset, boolean declaredVariableNames, boolean numbervars, boolean quoted)`

Method Summary
`Object` | `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### quoted

    public boolean quoted

  If this option is true, each atom and functor is quoted if it would be necessary for to be input by read_term/3

### ignoreOps

    public boolean ignoreOps

  If this option is true each compound term is output in functional notation. Neither operator notation nor list notation is used when this write option is in force.

### numbervars

    public boolean numbervars

  display terms of form '$VAR'(N) as ('A'+ N%26)+""+(N/26). this option requires that ignoreOps = false by ISO Standard checking this condition is left for user.

### numberOfVariables

    protected int numberOfVariables

  Number of used variables. This variable is used solely by Term Writer

### variable2name

    protected Map<Term,String> variable2name

  Map from variables to names. This variable is used solely by Term Writer.

### declaredVariableNames

    public boolean declaredVariableNames

  If true print the name of the variables as they were declared

### javaObjects

    public boolean javaObjects

  Include JavaObjects in the output

### javaObjectsToString

    public boolean javaObjectsToString

  Use .toString() in the output

### operatorSet

    public OperatorSet operatorSet

  Current operator set to use in write term. User need to set this variable if ignore ops is true.

Constructor Detail

### WriteOptions

    public WriteOptions(OperatorSet opset)

Parameters:
  `opset` - the OperatorSet to use for this WriteOptions

### WriteOptions

    public WriteOptions(OperatorSet opset,
                        boolean declaredVariableNames,
                        boolean numbervars,
                        boolean quoted)

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD